> For the complete documentation index, see [llms.txt](https://docs.jsfiddle.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jsfiddle.net/api/display-a-fiddle-from-post.md).

# Display a fiddle from POST

## URL Structure

* **framework** – the desired framework name. Which framework should be loaded with the fiddle.
* **version** – substring of the framework version - the last passing will be used. If 1.3 will be given, JSFiddle will use the latest search result. it will favorize 1.3.2 over 1.3.1 and 1.3.
* **dependency\_list** – comma separated list of dependency substrings. It would mark any dependency containing the substring.

### Framework

The framewrok to load (or the lack of it) has to be specified in the URL, for example: `jsfiddle.net/api/post/{framework}/{version}`

If you don't want to use a framework use `library/pure`, for example: `jsfiddle.net/api/post/library/pure/`

### Dependencies

There is an option to add dependencies as a comma separated list: `jsfiddle.net/api/post/{framework}/{version}/dependencies/{dependency_list}/`<br>

## POST variables

All fields are optional. New fiddle setting will be used if no data provided.

<mark style="color:green;">`POST`</mark> `https://jsfiddle.net/api/post/:framework/:version/dependencies/:dependency_list/`

#### Request Body

| Name           | Type    | Description                                                                                                                                                                                                                                                              |
| -------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| normalize\_css | string  | `yes` or `no` - should `normalize.css` be loaded                                                                                                                                                                                                                         |
| wrap           | string  | <p>Set the JS code wrap:<br><br>Accepts:<br><br>- <code>l</code> for <code>onload</code><br>- <code>d</code> for <code>domready</code><br>- <code>h</code> for no wrap at bottom of <code>HEAD</code><br>- <code>b</code> for no wrap at bottom of <code>BODY</code></p> |
| html           | string  | code for the HTML panel                                                                                                                                                                                                                                                  |
| css            | string  | code for the CSS panel                                                                                                                                                                                                                                                   |
| js             | string  | code for the JS panel                                                                                                                                                                                                                                                    |
| html\_panel    | integer | <p>language for the HTML panel.<br><br>Accepts <code>0</code> only.</p>                                                                                                                                                                                                  |
| css\_panel     | integer | <p>language for the CSS panel.<br><br>Accepts:<br>- <code>0</code> for <strong>CSS</strong><br>- <code>1</code> for <strong>SCSS</strong></p>                                                                                                                            |
| js\_panel      | integer | <p>language for the JS panel<br><br>Accepts:<br>- <code>0</code> for <strong>JavaScript</strong><br>- <code>1</code> for <strong>CoffeeScript</strong><br>- <code>2</code> for <strong>JavaScript 1.7</strong><br>- <code>3</code> for </p>                              |
| title          | string  | Title of the fiddle                                                                                                                                                                                                                                                      |
| description    | string  | Description of the fiddle                                                                                                                                                                                                                                                |
| dtd            | string  | <p>Documents definition type.<br><br>Accepts a substring of the chosen DTD (ie <code>html 4</code>).<br></p>                                                                                                                                                             |
| resources      | string  | a comma separated list of external resources                                                                                                                                                                                                                             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Example:**

<http://jsfiddle.net/3Lwgk4c5/>
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jsfiddle.net/api/display-a-fiddle-from-post.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
